classification
Title: Need Windows os.link() support
Type: enhancement Stage:
Components: Library (Lib) Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add os.symlink() and os.path.islink() support for Windows
View: 1578269
Assigned To: Nosy List: brett.cannon, collinwinter, dubnerm, nobody
Priority: normal Keywords: patch

Created on 2001-11-05 19:34 by anonymous, last changed 2007-09-21 09:11 by jafo. This issue is now closed.

Files
File name Uploaded Description Edit
c:/temp/link.zip nobody, 2001-11-05 19:34 contains modifications described
Messages (5)
msg53315 - (view) Author: Nobody/Anonymous (nobody) Date: 2001-11-05 19:34
NTFS has (always?) had hard link support.  This 
functionality is now exposed in Win32 starting with 
Windows 2000 [see CreateHardLink()].  I've added 
Windows support to os.link().  I've tried to support
FAT, NT, 95 by doing a CopyFile().  2000 support is 
enabled by defining _WIN32_WINNT=0x500 in 
pythoncore.dsp.  When this is done, the redundant 
#include <windows.h> in errnomodule.c gives 
compilation errors.
msg53316 - (view) Author: Nobody/Anonymous (nobody) Date: 2001-11-05 19:35
Logged In: NO 

I think that I forgot to add my email address: 
bcox@semio.com
msg53317 - (view) Author: Michael Dubner (dubnerm) Date: 2003-01-18 05:49
Logged In: YES 
user_id=39274

Also one can create os.symlink() and os.readlink() for all
windows versions after 95 - using shell links (like cygwin
do for symlink emulation).
msg53318 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2003-05-13 02:08
Logged In: YES 
user_id=357491

If you would like this to actually be looked at it would be best to create a 
patch against CVS and upload a diff file instead of a zip file.
msg53319 - (view) Author: Collin Winter (collinwinter) * (Python committer) Date: 2007-03-30 16:13
This feature request has been superseded by #1578269, which includes several references on the subject.
History
Date User Action Args
2007-09-21 09:11:54jafosetkeywords: + patch
superseder: Add os.symlink() and os.path.islink() support for Windows
2001-11-05 19:34:06anonymouscreate